PuTTY wish port-unix-gtk2

Home | FAQ | Feedback | Licence | Updates | Mirrors | Keys | Links | Team
Download: Stable · Pre-release · Snapshot | Docs | Changes | Wishlist

summary: Port to Gtk+-2 toolkit on Unix
class: wish: This is a request for an enhancement.
difficulty: tricky: Needs many tuits.
blocks: unix-connreset-spin
priority: low: We aren't sure whether to fix this or not.
fixed-in: r8040 865b6b404d34f8eec5d3a3abccb8e38271bef6a6 2008-06-06 (0.61)

Currently, the Unix port of PuTTY uses the Gtk+-1.2 UI toolkit. It
would be nice if it could also support Gtk+-2.

We would require that the source still be compilable against Gtk+-1.2.

We've also been working on this; see
svn://svn.tartarus.org/sgt/putty-gtk2 .

Update: this is now complete and has been merged onto the trunk, and
is thus included in our snapshot releases and will be in the next
proper release. Please try it.
Audit trail for this wish.


If you want to comment on this web site, see the Feedback page.
(last revision of this bug record was at 2016-12-27 11:40:22 +0000)